# Uses of Interface
org.opensaml.soap.wstrust.BinarySecret

Packages that use BinarySecret
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of BinarySecret in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement BinarySecret
Modifier and Type
Class
Description
`class`
`BinarySecretImpl`
BinarySecretImpl.
Methods in org.opensaml.soap.wstrust.impl that return BinarySecret
Modifier and Type
Method
Description
`BinarySecret`
BinarySecretBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`BinarySecret`
BinarySecretBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.